@extends('admin.layouts.main')
@section('content')
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Banners</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item active">Banners</li>
                    </ol>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <div class="form-group row">
            <div class="col-sm-12">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{session('message')}}
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('hasError'))
                    <div class="alert alert-danger">
                        {{session('hasError')}}
                    </div>
                @endif
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Banners</h4>
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalCenter">
                           Add New
                        </button>

                        <div class="table-responsive">
                            <table class="table" id="myTable">
                                <thead>
                                <tr>

                                    <th>#</th>
                                    <th>Banner</th>
                                    <th>Action</th>

                                </tr>
                                </thead>
                                <tbody id="tb-body">
                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Modal -->
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Add Banner</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <label>Select Image</label>
                    <input type="file" class="dropify" id="banner">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="add_banner_btn">Submit</button>
                </div>
            </div>
        </div>
    </div>


    <!-- Modal -->
    <div class="modal fade" id="exampleModalCenter2" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Edit Banner</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="banner_key">
                    <label>Select Image</label>
                    <input type="file" class="dropify" id="banner_2">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="edit_banner_btn">Submit</button>
                </div>
            </div>
        </div>
    </div>



@endsection
@section('custom-script')
    <script type="text/javascript">

        var database = firebase.database();

        // This is reference to tha database, to fetch data from database use below code:

        window.onload = function () {
            swal.fire({
                imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                title: 'Loading Data!',
                text: 'Please Wait...',
                showConfirmButton: false,
                allowOutsideClick : false
            });
        };




        var starCountRef = firebase.database().ref('Banners');
        // Add ref of child if any
        starCountRef.on('value', function(snapshot) {
           let count=1;
            $('#tb-body').empty();
            snapshot.forEach(function(childNodes){

                var data=childNodes.val();
                var key=childNodes.key;

                $('#tb-body').append('<tr><td>'+count+'</td><td><img src="'+data.Banner+'" style="height:100px;width:120px;"></td><td><button class="btn btn-warning" id="'+key+'" data-toggle="modal" onclick="edit_banner(this.id)" data-target="#exampleModalCenter2">Edit</button> <button class="btn btn-danger"  id="'+key+'" onclick="confirmDelete(this.id)">Delete</button></td></tr>')
                 count++;




            });
            swal.close();




        });

      $('#add_banner_btn').on('click',function () {
          if( document.getElementById("banner").files.length != 0 ){

              swal.fire({
                  imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                  title: 'Loading Data!',
                  text: 'Please Wait...',
                  showConfirmButton: false,
                  allowOutsideClick : false
              });

              var image=document.getElementById('banner').files[0];
              var image_name=Math.floor(Math.random() * 100001)+image.name;

                  var storageRef=firebase.storage().ref('Banners/'+image_name);
                  //upload image to selected storage reference
                  //make sure you pass image here
                  var uploadTask=storageRef.put(image);
                  //to get the state of image uploading....
                  uploadTask.on('state_changed',function(snapshot){
                      //get task progress by following code
                      var progress=(snapshot.bytesTransferred/snapshot.totalBytes)*100;
                      console.log("upload is "+progress+" done");
                  },function(error){
                      //handle error here
                      reject({
                          status:false,
                          message:'Error Occurred while image uploading'
                      })
                  },function(){
                      //handle successfull upload here..
                      uploadTask.snapshot.ref.getDownloadURL().then(function(downloadURL){

                          firebase.database().ref('Banners/').push().set({

                              Banner:downloadURL,

                          },function(error){
                              if(error){
                                  reject(error.message);
                              }else{


                                  $(".dropify-clear").trigger("click");
                                  $('#exampleModalCenter').modal('hide');
                                 swal.close();
                                  swal.fire({
                                      title: "Success!",
                                      text: "Banner Added!",
                                      icon: "success",
                                      button: "Close!",
                                  });

                              }
                          });



                      });
                  });





          }




      });



        $('#edit_banner_btn').on('click',function () {
            if( document.getElementById("banner_2").files.length != 0 ){

                swal.fire({
                    imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                    title: 'Loading Data!',
                    text: 'Please Wait...',
                    showConfirmButton: false,
                    allowOutsideClick : false
                });

                var image=document.getElementById('banner_2').files[0];
                var image_name=Math.floor(Math.random() * 100001)+image.name;
                var key=$('#banner_key').val();
                console.log(key);
                var storageRef=firebase.storage().ref('Banners/'+image_name);
                //upload image to selected storage reference
                //make sure you pass image here
                var uploadTask=storageRef.put(image);
                //to get the state of image uploading....
                uploadTask.on('state_changed',function(snapshot){
                    //get task progress by following code
                    var progress=(snapshot.bytesTransferred/snapshot.totalBytes)*100;
                    console.log("upload is "+progress+" done");
                },function(error){
                    //handle error here
                    reject({
                        status:false,
                        message:'Error Occurred while image uploading'
                    })
                },function(){
                    //handle successfull upload here..
                    uploadTask.snapshot.ref.getDownloadURL().then(function(downloadURL){

                        firebase.database().ref('Banners/'+key+'/').set({

                            Banner:downloadURL,

                        },function(error){
                            if(error){
                                reject(error.message);
                            }else{


                                $(".dropify-clear").trigger("click");
                                $('#exampleModalCenter2').modal('hide');
                                swal.close();
                                swal.fire({
                                    title: "Success!",
                                    text: "Banner Updated!",
                                    icon: "success",
                                    button: "Close!",
                                });

                            }
                        });



                    });
                });





            }




        });




        function delete_product(key){
            let choice=confirm("Are you sure, You want to delete?");
            if (choice){
                if ( firebase.database().ref('Products/'+key).remove()){
                    swal.fire({
                        title: "Success!",
                        text: "Product Deleted!",
                        icon: "success",
                        button: "Close!",
                    });
                }
            }



        }


        function edit_banner(id) {

            $('#banner_key').val(id);
        }


        function confirmDelete(id) {

            let choice=confirm("Are you sure, You want to delete");
            if (choice){

                if ( firebase.database().ref('Banners/'+id).remove()){
                    swal.fire({
                        title: "Success!",
                        text: "Banner Deleted!",
                        icon: "success",
                        button: "Close!",
                    });
                }

            }
        }
    </script>
@endsection