@extends('admin.layouts.main')
@section('styles')
    <style>
        #qrcode{
            position:absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            visibility: hidden;
        }
        @media print {

            body * {
                visibility: hidden;
            }
            #qrcode, #qrcode * {
                visibility: visible;

            }


        }
    </style>
@endsection
@section('content')
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Complains</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item active">Complains</li>
                    </ol>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <div class="form-group row">
            <div class="col-sm-12">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{session('message')}}
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('hasError'))
                    <div class="alert alert-danger">
                        {{session('hasError')}}
                    </div>
                @endif
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Complains</h4>

                        <div class="table-responsive">
                            <table class="table" id="myTable">
                                <thead>
                                <tr>


                                    <th>UserName</th>
                                    <th>Contact Number</th>
                                    <th>User Address</th>
                                    <th>Date</th>
                                    <th>Complain Category</th>
                                    <th>Complain</th>

                                </tr>
                                </thead>
                                <tbody id="tb-body">
                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="qrcode"></div>


@endsection
@section('custom-script')
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.17.1/moment-with-locales.min.js"></script>

    <script type="text/javascript">


        var database = firebase.database();

        // This is reference to tha database, to fetch data from database use below code:

        window.onload = function () {
            swal.fire({
                imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                title: 'Loading Data!',
                text: 'Please Wait...',
                showConfirmButton: false,
                allowOutsideClick : false
            });
        };




        firebase.database().ref('Complains/').once('value').then(function(snapshot) {

            snapshot.forEach(function(childNodes) {

                firebase.database().ref('Complains/'+childNodes.key).update({
                    is_new:0
                });


                let data=childNodes.val();
                firebase.database().ref('Users/'+data.user_id).once('value').then(function(snapshot2) {

                    let user=snapshot2.val();
                    $('#tb-body').append('<tr><td>'+user.user_name+'</td><td>'+user.contact_number+'</td><td>'+user.user_address+'</td><td>'+data.complain_time+'</td><td>'+data.complain_category+'</td><td>'+data.user_complain+'</td></tr>')
                });


            });
            $('tbody').each(function(){
                var list = $(this).children('tr');
                $(this).html(list.get().reverse())
            });

            swal.close();

        });

    </script>
@endsection