@extends('admin.layouts.main')
@section('content')
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Dashboard</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ol>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Info box -->
        <!-- ============================================================== -->
        <!-- Row -->
        <div class="row">
            <!-- Column -->
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-success"><i class="fa fa-user"></i></div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0" id="users"></h3>
                                <h5 class="text-muted m-b-0">Users</h5>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
            <!-- Column -->
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-info"><i class="fa fa-user-o"></i></div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0" id="delivery"></h3>
                                <h5 class="text-muted m-b-0">Delivery Boys</h5></div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
            <!-- Column -->
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-danger"><i class="fa fa-hospital-o"></i></div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0" id="orders"></h3>
                                <h5 class="text-muted m-b-0">Today's Orders</h5></div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
            <!-- Column -->
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex flex-row">
                            <div class="round align-self-center round-success"><i class="fa fa-shopping-cart"></i></div>
                            <div class="m-l-10 align-self-center">
                                <h3 class="m-b-0" id="products"></h3>
                                <h5 class="text-muted m-b-0">Products</h5></div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
        </div>
        <!-- Row -->

    </div>
@endsection
@section('custom-script')
    <script>

        function getData(){
            swal.fire({
                imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                title: 'Loading Data!',
                text: 'Please Wait...',
                showConfirmButton: false,
                allowOutsideClick : false
            });
        firebase.database().ref('Users/').once('value').then(function(snapshot){
            $('#users').text(snapshot.numChildren());

        });
            firebase.database().ref('Delivery_boys/').once('value').then(function(snapshot){
                $('#delivery').text(snapshot.numChildren());

            });

            const date = new Date();
            const dateTimeFormat = new Intl.DateTimeFormat('en', { year: 'numeric', month: 'short', day: '2-digit' });
            const [{ value: month },,{ value: day },,{ value: year }] = dateTimeFormat .formatToParts(date );
             const curr_date=`${day}-${month}-${year }`;

            let order_count=0;
            firebase.database().ref('Orders/'+curr_date+'/').once('value').then(function(snapshot){

                snapshot.forEach(function(snapshot1) {
                    snapshot1.forEach(function(snapshot2) {
                    order_count++;
                    });
                });

               $('#orders').text(order_count);
            });


            var starCountRef = firebase.database().ref('Products');
            // Add ref of child if any
            starCountRef.on('value', function(snapshot) {
                var count=0;
                snapshot.forEach(function(childNodes){

                    var data=childNodes.val();

                    for(let[key,value] of Object.entries(data)){
                        var data2=value;

                        for(let[key2,value2] of Object.entries(data2)){
                             count++;

                        }



                    }


                });

         $('#products').text(count);

                swal.close();
            });








        }


      window.onload=function () {
          getData();
      }
    </script>
@endsection