@extends('admin.layouts.main')
@section('styles')
    <style>

        @media print {

            body * {
                visibility: hidden;
            }
            #users, #users * {

                visibility: visible;

            }
            .upload-box{
                display: none!important;
            }



        }
    </style>
@endsection
@section('content')

    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Edit DeliveryBoy</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.delivery_boy.index')}}">All Delivery Boys</a></li>
                        <li class="breadcrumb-item active">EDIT</li>
                    </ol>
                </div>
            </div>

        </div>
        <div class="form-group row">
            <div class="col-sm-12">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{session('message')}}
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('hasError'))
                    <div class="alert alert-danger">
                        {{session('hasError')}}
                    </div>
                @endif
            </div>
        </div>
        <button type="button" onclick="window.print()" class="btn btn-primary mb-2" style="width: 150px">Print Details</button>

        <div class="row">
            <div class="col-sm-12">
                <div class="card" id="users">
                    <div class="card-body">
                        <section class="container py-4">
                            <div class="row">
                                <div class="col-md-12">
                                    <h5 class="card-title text-primary">DeliveryBoy Information</h5>
                                    <ul id="tabs" class="nav nav-tabs">
                                        <li class="nav-item"><a href="" data-target="#home1" data-toggle="tab" class="nav-link small text-uppercase active">User Information</a></li>
                                        <li class="nav-item"><a href="" data-target="#profile1" data-toggle="tab" class="nav-link small text-uppercase">User Documents</a></li>
                                       </ul>
                                    <br>
                                    <div id="tabsContent" class="tab-content">
                                        <div id="home1" class="tab-pane fade active show">
                                            <form class="form-material form-horizontal" id="delivery_boy_form" onsubmit="check()"  method="POST" enctype="multipart/form-data">
                                                @csrf
                                                <div class="row">

                                                    <div class="form-group col-sm-6">
                                                        <label for="first_name">First Name
                                                        </label>

                                                        <input type="text"  name="first_name" id="first_name" class="form-control"
                                                               placeholder="Enter First Name" required>
                                                    </div>

                                                    <div class="form-group col-sm-6">
                                                        <label for="last_name">Last Name
                                                        </label>

                                                        <input type="text"  name="last_name" id="last_name" class="form-control"
                                                               placeholder="Enter Last Name" required>
                                                    </div>
                                                    <div class="form-group col-sm-6">
                                                        <label for="email">Email
                                                        </label>

                                                        <input type="email"  name="email" id="email" class="form-control"
                                                               placeholder="Enter Email" required>
                                                    </div>

                                                    <div class="form-group col-sm-6">
                                                        <label for="password">Password
                                                        </label>

                                                        <input type="password"  name="password" id="password" class="form-control"
                                                               placeholder="Enter Password" required>
                                                    </div>
                                                    <div class="form-group col-sm-6">
                                                        <label for="phone">Phone Number
                                                        </label>

                                                        <input type="text"  name="phone" id="phone" class="form-control"
                                                               placeholder="Enter Phone Number" required>
                                                    </div>

                                                    <div class="form-group col-sm-6">
                                                        <label for="dob">Date of Birth
                                                        </label>

                                                        <input type="date" name="dob" id="dob" class="form-control"
                                                               required>
                                                    </div>

                                                    <div class="form-group col-sm-6">
                                                        <label for="address">Permanent address
                                                        </label>

                                                        <input type="text" name="address" id="address" class="form-control"
                                                               placeholder="Enter Address" required>
                                                    </div>

                                                    <div class="form-group col-sm-6">
                                                        <label for="id_card_number">ID Card Number
                                                        </label>

                                                        <input type="text"  name="id_card_number" id="id_card_number" class="form-control"
                                                               placeholder="Enter ID Card Number" required>
                                                    </div>

                                                    <div class="form-group col-sm-6">
                                                        <label for="bike_name">Bike Name
                                                        </label>

                                                        <input type="text"  name="bike_name" id="bike_name" class="form-control"
                                                               placeholder="Enter Bike Name" required>
                                                    </div>

                                                    <div class="form-group col-sm-6">
                                                        <label for="bike_model">Bike Model
                                                        </label>

                                                        <input type="text"  name="bike_model" id="bike_model" class="form-control"
                                                               placeholder="Enter Bike Model" required>
                                                    </div>
                                                    <div class="form-group col-sm-6">
                                                        <label for="bike_number">Bike Number
                                                        </label>

                                                        <input type="text"  name="bike_number" id="bike_number" class="form-control"
                                                               placeholder="Enter Bike Number" required>
                                                    </div>


                                                    <div class="form-group col-sm-6">
                                                        <label for="bike_color">Bike Colour
                                                        </label>

                                                        <input type="text"  name="bike_color" id="bike_color" class="form-control"
                                                               placeholder="Enter Bike Colour" required>
                                                    </div>
                                                    <div class="form-group col-sm-6">
                                                        <label for="salary">Salary
                                                        </label>
                                                        <input type="number"  name="salary" id="salary" class="form-control"
                                                               placeholder="Enter Salary" required>
                                                    </div>
                                                    <div class="form-group col-sm-6">
                                                        <label for="bailsman">Bailsman
                                                        </label>
                                                        <input type="text"  name="bailsman" id="bailsman" class="form-control"
                                                               placeholder="Enter Bailsman " required>
                                                    </div>
                                                    <div class="form-group col-sm-6">
                                                        <label for="qualification">Qualification
                                                        </label>
                                                        <input type="text"  name="qualification" id="qualification" class="form-control"
                                                               placeholder="Enter Qualification " required>
                                                    </div>
                                                    <div class="form-group col-sm-6">
                                                        <label for="special_skills">Special skills
                                                        </label>
                                                        <input type="text"  name="special_skills" id="special_skills" class="form-control"
                                                               placeholder="Enter Special skills " required>
                                                    </div>
                                                    <div class="form-group col-sm-12">
                                                        <label for="related_experience">Related Experience
                                                        </label>
                                                        <textarea  name="related_experience" rows="3" id="related_experience" class="form-control"
                                                                   placeholder="Enter Related Experience " required></textarea>
                                                    </div>

                                                </div>

                                                <div class="col-sm-12 text-center">
                                                    <button type="submit" class="btn btn-info waves-effect waves-light m-r-10">Submit</button>

                                                </div>


                                            </form>
                                        </div>
                                        <div id="profile1" class="tab-pane fade">
                                            <div class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src="" class="img-fluid mt-5" style="height: 200px;" id="user_image">

                                                </div>
                                                <div class="form-group col-sm-5">

                                                    <div class="card upload-box">
                                                        <div class="card-body">
                                                            <label for="image">User Image</label>
                                                            <input type="file" accept="image/*" id="image" class="dropify"
                                                                   data-max-file-size="2M" name="image" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center upload-box">
                                                     <button type="button" class="btn btn-success upload-box d-flex" onclick="update_image('image','user_image','imageUrl')">Update Image</button>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-sm-4 ">

                                                    <img src=""  class="img-fluid mt-5" style="height: 200px;" id="id_card_front_img">

                                                </div>

                                                <div class="form-group col-sm-5">

                                                    <div class="card upload-box">
                                                        <div class="card-body">
                                                            <label for="id_card_front">ID Card Front picture</label>
                                                            <input type="file" accept="image/*" id="id_card_front" class="dropify"
                                                                   data-max-file-size="2M" name="id_card_front" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success upload-box d-flex" onclick="update_image('id_card_front','id_card_front_img','idCardFrontUrl')">Update Image</button>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src=""  class="img-fluid mt-5" style="height: 200px;" id="id_card_back_img">

                                                </div>
                                                <div class="form-group col-sm-5">

                                                    <div class="card upload-box">
                                                        <div class="card-body">
                                                            <label for="id_card_back">ID Card Back picture</label>
                                                            <input type="file" accept="image/*" id="id_card_back" class="dropify"
                                                                   data-max-file-size="2M" name="id_card_back" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success upload-box d-flex" onclick="update_image('id_card_back','id_card_back_img','idCardBackUrl')">Update Image</button>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src=""  class="img-fluid mt-5" style="height: 200px;" id="bike_copy_img">

                                                </div>
                                                <div class="form-group col-sm-5">

                                                    <div class="card upload-box">
                                                        <div class="card-body">
                                                            <label for="bike_copy">Bike Copy picture</label>
                                                            <input type="file" accept="image/*" id="bike_copy" class="dropify"
                                                                   data-max-file-size="2M" name="bike_copy" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success upload-box d-flex" onclick="update_image('bike_copy','bike_copy_img','bikeCopyUrl')">Update Image</button>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src=""  class="img-fluid mt-5" style="height: 200px;" id="license_front_img">

                                                </div>

                                                <div class="form-group col-sm-5">

                                                    <div class="card upload-box">
                                                        <div class="card-body">
                                                            <label for="license_front">License Front picture</label>
                                                            <input type="file" accept="image/*" id="license_front" class="dropify"
                                                                   data-max-file-size="2M" name="license_front" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success upload-box d-flex" onclick="update_image('license_front','license_front_img','licenseFrontUrl')">Update Image</button>
                                                </div>
                                            </div>
                                            <div  class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src=""  class="img-fluid mt-5" style="height: 200px;" id="license_back_img">

                                                </div>
                                                <div class="form-group col-sm-5">

                                                    <div class="card upload-box">
                                                        <div class="card-body">
                                                            <label for="license_back">License Back picture</label>
                                                            <input type="file" accept="image/*" id="license_back" class="dropify"
                                                                   data-max-file-size="2M" name="license_back" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success upload-box d-flex" onclick="update_image('license_back','license_back_img','licenseBackUrl')">Update Image</button>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src=""  class="img-fluid mt-5" style="height: 200px;" id="bailsman_front_img">

                                                </div>

                                                <div class="form-group col-sm-5">

                                                    <div class="card upload-box">
                                                        <div class="card-body">
                                                            <label for="bailsman_card_front">Bailsman ID Card Front picture</label>
                                                            <input type="file" accept="image/*" id="bailsman_card_front" class="dropify"
                                                                   data-max-file-size="2M" name="bailsman_card_front" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success upload-box d-flex" onclick="update_image('bailsman_card_front','bailsman_front_img','bailsManCardFrontUrl')">Update Image</button>
                                                </div>

                                            </div>


                                        </div>
                                    </div>
                                </div>
                            </div>
                        </section>

                            </div>
                </div>
            </div>
        </div>



    </div>
@endsection
@section('custom-script')
    <script type="text/javascript">

        function update_image(id,image_source,node_name) {
            var node=node_name;
            var image=document.getElementById(id).files[0];

            if (document.getElementById(id).files.length !== 0 ){
                var image_name=Math.floor(Math.random() * 100001)+image.name;
                var url=$('#'+image_source).attr('src');
                swal.fire({
                    imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                    title: 'Uploading Data!',
                    text: 'Please Wait...',
                    showConfirmButton: false,
                    allowOutsideClick : false
                });


                var desertRef = firebase.storage().refFromURL(url);

                desertRef.delete().then(function() {

                }).catch(function(error) {
                });


                upload_image(image,image_name).then(response =>{


                    let imageUrl=response.url;
                    firebase.database().ref('Delivery_boys/{{$id}}').update({
                        [node]:imageUrl
                    },function(error){
                        if(error){
                            swal.close();
                            swal.fire({
                                title: "Error!",
                                text: error.message,
                                icon: "error",
                                button: "Close!",
                            });
                        }else{

                            swal.close();
                            swal.fire({
                                title: "Success!",
                                text: "Image Updated!",
                                icon: "success",
                                button: "Close!",
                            }).then(function () {
                                getData();
                                $(".dropify-clear").trigger("click");

                            });

                        }
                    });



                }).catch(error=>{
                    swal.close();
                    swal.fire({
                        title: "Error!",
                        text: error.message,
                        icon: "error",
                        button: "Close!",
                    });
                });




            } else{

                swal.fire({
                    title: "Error!",
                    text: "Please Select Image First!",
                    icon: "error",
                    button: "Close!",
                });
            }
        }





        function getData(){
            swal.fire({
                imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                title: 'Loading Data!',
                text: 'Please Wait...',
                showConfirmButton: false,
                allowOutsideClick : false
            });
            firebase.database().ref('Delivery_boys/{{$id}}').once('value').then(function(snapshot){

               $('#first_name').val(snapshot.val().firstName);
               $('#last_name').val(snapshot.val().lastName);
               $('#email').val(snapshot.val().Email);
              $('#password').val(snapshot.val().Password);
               $('#phone').val(snapshot.val().phoneNumber);
               $('#dob').val(snapshot.val().dob);
              $('#address').val(snapshot.val().address);
               $('#id_card_number').val(snapshot.val().idCardNumber);
               $('#bike_name').val(snapshot.val().bikeName);
               $('#bike_model').val(snapshot.val().bikeModel);
              $('#bike_number').val(snapshot.val().bikeNumber);
               $('#bike_color').val(snapshot.val().bikeColor);
               $('#salary').val(snapshot.val().salary);
                $('#bailsman').val(snapshot.val().bailsman);
               $('#qualification').val(snapshot.val().qualification);
               $('#special_skills').val(snapshot.val().specialSkills);
               $('#related_experience').val(snapshot.val().relatedExperience);

               $('#user_image').prop('src',snapshot.val().imageUrl);
                $('#id_card_front_img').prop('src',snapshot.val().idCardFrontUrl);
                $('#id_card_back_img').prop('src',snapshot.val().idCardBackUrl);
                $('#license_front_img').prop('src',snapshot.val().licenseFrontUrl);
                $('#license_back_img').prop('src',snapshot.val().licenseBackUrl);
                $('#bailsman_front_img').prop('src',snapshot.val().bailsManCardFrontUrl);
                $('#bike_copy_img').prop('src',snapshot.val().bikeCopyUrl);
                swal.close();
            });
        }
        getData();


        function upload_image(image,image_name) {
            return new Promise((resolve, reject)=>{
                var storageRef=firebase.storage().ref('delivery_boy_images/'+image_name);
                //upload image to selected storage reference
                //make sure you pass image here
                var uploadTask=storageRef.put(image);
                //to get the state of image uploading....
                uploadTask.on('state_changed',function(snapshot){
                    //get task progress by following code
                    var progress=(snapshot.bytesTransferred/snapshot.totalBytes)*100;
                    console.log("upload is "+progress+" done");
                },function(error){
                    //handle error here
                    reject({
                        status:false,
                        message:'Error Occurred while image uploading'
                    })
                },function(){
                    //handle successfull upload here..
                    uploadTask.snapshot.ref.getDownloadURL().then(function(downloadURL){
                        resolve({
                            status:true,
                            url:downloadURL
                        });

                    });
                });
            });

        }




        function upload(){
            return new Promise((resolve, reject)=>{


                let first_name=$('#first_name').val();
                let last_name=$('#last_name').val();
                let email=$('#email').val();
                let password=$('#password').val();
                let phone=$('#phone').val();
                let dob=$('#dob').val();
                let address=$('#address').val();
                let id_card_number=$('#id_card_number').val();
                let bike_name=$('#bike_name').val();
                let bike_model=$('#bike_model').val();
                let bike_number=$('#bike_number').val();
                let bike_color=$('#bike_color').val();
                let salary=$('#salary').val();
                let qualification=$('#qualification').val();
                let special_skills=$('#special_skills').val();
                let related_experience=$('#related_experience').val();
                let bailsman=$('#bailsman').val();



                                            firebase.database().ref('Delivery_boys/{{$id}}').update({
                                                Email:email,
                                                Password:password,
                                                firstName:first_name,
                                                lastName:last_name,
                                                phoneNumber:phone,
                                                dob:dob,
                                                address:address,
                                                idCardNumber:id_card_number,
                                                bikeName:bike_name,
                                                bikeModel:bike_model,
                                                bikeColor:bike_color,
                                                bikeNumber:bike_number,
                                                salary:salary,
                                                bailsman:bailsman,
                                                qualification:qualification,
                                                specialSkills:special_skills,
                                                relatedExperience:related_experience,

                                            },function(error){
                                                if(error){
                                                    reject(error.message);
                                                }else{

                                                    resolve({status:true});

                                                }
                                            });



                                        }).catch(error=>{
                                            reject(error.message);
                                        });

        }
        function check() {
            event.preventDefault();
            var valid= document.getElementById("delivery_boy_form").checkValidity();
            if(valid){
                swal.fire({
                    imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                    title: 'Updating Data!',
                    text: 'Please Wait...',
                    showConfirmButton: false,
                    allowOutsideClick : false
                });
                upload().then(response =>{
                    if (response.status===true){
                        swal.close();
                        swal.fire({
                            title: "Success!",
                            text: "Delivery Boy Updated!",
                            icon: "success",
                            button: "Close!",
                        });

                    }
                }).catch(error=>{
                  alert(error);
                });
            }

        }


        $(document).ready(function () {



        });
    </script>
@endsection