@extends('admin.layouts.main')

@section('content')
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Delivery Boys</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item active">Delivery Boys</li>
                    </ol>
                    <a href="{{route('admin.delivery_boy.create')}}"><button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i
                                    class="fa fa-plus-circle"></i> Create New
                        </button></a></div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-sm-12">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{session('message')}}
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('hasError'))
                    <div class="alert alert-danger">
                        {{session('hasError')}}
                    </div>
                @endif
            </div>
        </div>
        <div class="row" id="users_row">

        </div>
    </div>
@endsection
@section('custom-script')

    <script type="text/javascript">

        function getData(){
            swal.fire({
                imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                title: 'Loading Data!',
                text: 'Please Wait...',
                showConfirmButton: false,
                allowOutsideClick : false
            });
            firebase.database().ref('Delivery_boys/').once('value').then(function(snapshot){
                //get your posts div
                var users_row=document.getElementById('users_row');
                //remove all remaining data in that div
                users_row.innerHTML="";
                //get data from firebase
                var data=snapshot.val();
                console.log(data);
                //now pass this data to our posts div
                //we have to pass our data to for loop to get one by one
                //we are passing the key of that post to delete it from database
                for(let[key,value] of Object.entries(data)){
                    users_row.innerHTML='  <div class="col-md-4 col-sm-4">\n' +
                        '                <div class="card" style="height:250px;">\n' +
                        '                    <div class="card-body">\n' +
                        '                        <div class="row" style="height:180px;">\n' +
                        '\n' +
                        '                            <div class="col-md-4 col-sm-4 text-center">\n' +
                        '                                <a href="#"><img src="'+value.imageUrl+'" alt="user" class="img-circle img-responsive"></a>\n' +
                        '                            </div>\n' +
                        '                            <div class="col-md-8 col-sm-8">\n' +
                        '                                <h5 class="card-title m-b-0">'+value.firstName+' '+value.lastName+'</h5>\n' +
                        '                                <p>\n' +
                        '                                <address>\n' +
                        '                                   '+value.address+'\n' +
                        '                                    <br/>\n' +
                        '                                    <br/>\n' +
                        '                                    <abbr title="Email"><i class="fa fa-envelope"></i></abbr> '+value.Email+' <br/>\n <abbr title="Phone"><i class="fa fa-phone"></i></abbr> '+value.phoneNumber+'\n' +
                        '                                </address>\n' +
                        '                                </p>\n' +
                        '                            </div>\n' +
                        '\n' +
                        '                        </div>\n' +
                        '                        <a href="{{url('admin/delivery_boy/edit')}}?id='+key+'"> <button class="btn btn-outline-cyan"> Edit</button></a>\n' +
                        '                        <a href="javascript:;" > <button id="'+key+'" onclick="delete_user(this.id)" class="btn btn-outline-danger pull-right"> Delete</button></a>\n' +
                        '                    '+
                        '                    </div>\n' +
                        '                </div>\n' +
                        '            </div>'+users_row.innerHTML;
                }
                swal.close();

            });
        }


       getData();

        function delete_user(key){
            let choice=confirm("Are you sure, You want to delete?");
            if (choice){
            if ( firebase.database().ref('Delivery_boys/'+key).remove()){
                swal.fire({
                    title: "Success!",
                    text: "Delivery Boy Deleted!",
                    icon: "success",
                    button: "Close!",
                });
            }
            }
            getData();

        }

        function confirmDelete(id) {
            let choice=confirm("Are you sure, You want to delete Doctor");
            if (choice){
                document.getElementById("delete-doctor-"+id).submit();
            }
        }
    </script>
@endsection