@extends('admin.layouts.main')
@section('styles')
    <style>
        #qrcode{
            position:absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            visibility: hidden;
        }
        @media print {

            body * {
                visibility: hidden;
            }
            #qrcode, #qrcode * {
                visibility: visible;

            }


        }
    </style>
@endsection
@section('content')
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Offers</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item active">Offers</li>
                    </ol>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <div class="form-group row">
            <div class="col-sm-12">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{session('message')}}
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('hasError'))
                    <div class="alert alert-danger">
                        {{session('hasError')}}
                    </div>
                @endif
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Offers</h4>

                        <div class="table-responsive">
                            <table class="table" id="myTable">
                                <thead>
                                <tr>


                                    <th>UserName</th>
                                    <th>OfferID</th>
                                    <th>Date</th>
                                    <th>OfferDay</th>
                                    <th>Items</th>
                                    <th>total charges</th>
                                    <th>address</th>
                                    <th>QR</th>
                                    <th>Action</th>

                                </tr>
                                </thead>
                                <tbody id="tb-body">
                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="qrcode"></div>



    <!-- Modal -->
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Items Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="table-responsive">
                        <table class="table" id="items_table">
                            <thead>
                            <tr>
                                <th>Name</th>
                                <th>Image</th>
                                <th>Category</th>
                                <th>Quantity</th>
                                <th>Total Price</th>
                            </tr>
                            </thead>
                            <tbody id="items_table_body">
                            </tbody>
                        </table>

                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>

                </div>
            </div>
        </div>
    </div>

@endsection
@section('custom-script')
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.17.1/moment-with-locales.min.js"></script>

    <script type="text/javascript">


        var database = firebase.database();

        // This is reference to tha database, to fetch data from database use below code:

        window.onload = function () {
            swal.fire({
                imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                title: 'Loading Data!',
                text: 'Please Wait...',
                showConfirmButton: false,
                allowOutsideClick : false
            });
        };




        firebase.database().ref('Users/').once('value').then(function(snapshot) {

            snapshot.forEach(function(childNodes) {


                if (childNodes.val().created_offers){

                    var offers=childNodes.val().created_offers;

                    var user=childNodes.val().user_name;
                    var user_id=childNodes.val().contact_number;
                    for(let[key,value] of Object.entries(offers)){
                        var date=value.createdDate;
                        var days=value.offerDays;
                        var offer_id=value.offerId;
                        var offer_days=value.offerDays;
                        var exp_date= new Date(moment(date, "DD/MM/YYYY").add(days, 'days'));
                        let current_date=new Date();

                       if(current_date.getTime()<=exp_date.getTime()){

                           firebase.database().ref('Offers/'+offer_id).once('value').then(function(snapshot2) {

                               snapshot2.forEach(function (data) {
                                 value = data.val();

                                   $('#tb-body').append('<tr><td>'+user+'</td><td>'+offer_id+'</td><td>'+date+'</td><td>'+data.key+'</td><td>'+value.cart_items_count+'</td><td>'+value.total_charges+'</td><td>'+value.delivery_address+'</td><td><button id="offer-'+offer_id+'-'+data.key+'" onclick="showQr(this.id)" class="btn btn-primary">Print Qr</button></td><td><button class="btn btn-info modal-btn" data-toggle="modal" data-todo="'+offer_id+'" data-log="'+data.key+'" data-target="#exampleModalCenter">Details</button></td></tr>')

                               });
                           });


                       }

                    }
                }
            
            });

            swal.close();

            });


        $(document).on("click", ".modal-btn", function () {

            var offer_id=$(this).data('todo');
            var day=$(this).data('log');

            firebase.database().ref('Offers/'+offer_id+'/'+day).once('value').then(function(snapshot) {
                $('#items_table_body').empty();

                var items=snapshot.val().cartItemsList;

                for (x in items) {
                    var data=items[x];

                    $('#items_table_body').append('<tr><td>'+data.product_name+'</td><td><img src="'+data.product_image+'" class="img-fluid" style="height:60px;width:60px;"></td><td>'+data.category+'</td><td>'+data.product_quantity+'</td><td>'+data.total_price+'</td></tr>');
                }

            });

        });

       function showQr(id) {

           $('#qrcode').empty();
           $('#qrcode').qrcode({width:500,height: 500,text: id});
           window.print();
       }

    </script>
@endsection