@extends('admin.layouts.main')
@section('content')
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Orders</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item active">Orders</li>
                    </ol>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <div class="form-group row">
            <div class="col-sm-12">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{session('message')}}
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('hasError'))
                    <div class="alert alert-danger">
                        {{session('hasError')}}
                    </div>
                @endif
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Orders</h4>
                          <input type="text" id="myInput" class="form-control col-4 mb-2 pull-right" onkeyup="myFunction()" placeholder="Search Orders..">

                        <div class="table-responsive">
                            <table class="table" id="myTable">
                                <thead>
                                <tr>

                                    <th>User Name</th>
                                    <th>Delivery Address</th>
                                    <th>Date</th>
                                    <th>Items</th>
                                    <th>Total Price</th>
                                    <th>Payment Method</th>
                                    <th>Order Status</th>
                                    <th>Action</th>

                                </tr>
                                </thead>
                                <tbody id="tb-body">
                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


@endsection
@section('custom-script')
    <script type="text/javascript">

        var database = firebase.database();

        // This is reference to tha database, to fetch data from database use below code:
       window.onload = function () {
           swal.fire({
               imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
               title: 'Loading Data!',
               text: 'Please Wait...',
               showConfirmButton: false,
               allowOutsideClick : false
           });
       }
        var starCountRef = firebase.database().ref('Orders');
        // Add ref of child if any
        starCountRef.on('value', function(snapshot) {

            $('table tbody tr').remove();
            snapshot.forEach(function(childNodes){

                var data=childNodes.val();

               console.log(data);
                var date=childNodes.key;

                var count=0;
                for(let[key,value] of Object.entries(data)){
                    var data2=value;

                    for(let[key2,value2] of Object.entries(data2)){
                        $('#tb-body').append("<tr><td>"+value2.user_name+"</td><td>"+value2.delivery_address+"</td><td>"+date+"</td>" +
                            "<td>"+value2.cart_items_count+"</td><td>"+value2.total_charges+"</td>" +
                            "<td>"+value2.payment_method+"</td><td>"+value2.order_status+"</td><td><a href='{{url('admin/orders/details')}}?id="+key2+"&date="+date+"&number="+key+"' class='btn btn-primary'>Details</a></td>"+
                            "</tr>");
                    }



                }


                $('tbody').each(function(){
                    var list = $(this).children('tr');
                    $(this).html(list.get().reverse())
                });
                swal.close();




            });



        });


        function myFunction() {

            // Declare variables
            var input = document.getElementById("myInput");
            var filter = input.value.toUpperCase();
            var table = document.getElementById("myTable");
            var trs = table.tBodies[0].getElementsByTagName("tr");

            // Loop through first tbody's rows
            for (var i = 0; i < trs.length; i++) {

                // define the row's cells
                var tds = trs[i].getElementsByTagName("td");

                // hide the row
                trs[i].style.display = "none";

                // loop through row cells
                for (var i2 = 0; i2 < tds.length; i2++) {

                    // if there's a match
                    if (tds[i2].innerHTML.toUpperCase().indexOf(filter) > -1) {

                        // show the row
                        trs[i].style.display = "";

                        // skip to the next row
                        continue;

                    }
                }
            }

        }

        function confirmDelete(id) {
            let choice=confirm("Are you sure, You want to delete Club");
            if (choice){
                document.getElementById("delete-blog-"+id).submit();
            }
        }
    </script>
@endsection