@extends('admin.layouts.main')
@section('content')

    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Edit Product</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.product.index')}}">All Products</a></li>
                        <li class="breadcrumb-item active">EDIT</li>
                    </ol>
                </div>
            </div>

        </div>
        <div class="form-group row">
            <div class="col-sm-12">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{session('message')}}
                    </div>
                @endif
            </div>
            <div class="col-sm-12">
                @if (session()->has('hasError'))
                    <div class="alert alert-danger">
                        {{session('hasError')}}
                    </div>
                @endif
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-body">
                        <section class="container py-4">
                            <div class="row">
                                <div class="col-md-12">
                                    <h5 class="card-title text-primary">Product Information</h5>
                                    <ul id="tabs" class="nav nav-tabs">
                                        <li class="nav-item"><a href="" data-target="#home1" data-toggle="tab" class="nav-link small text-uppercase active">Product Information</a></li>
                                        <li class="nav-item"><a href="" data-target="#profile1" data-toggle="tab" class="nav-link small text-uppercase">Product Images</a></li>
                                    </ul>
                                    <br>
                                    <div id="tabsContent" class="tab-content">
                                        <div id="home1" class="tab-pane fade active show">
                                            <form class="form-material form-horizontal" id="product_form" onsubmit="check()"  method="POST" enctype="multipart/form-data">

                                                <div class="row">
                                                    <div class="form-group col-sm-6">
                                                        <label for="bike_color">Product Name
                                                        </label>

                                                        <input type="text" name="name" id="name" class="form-control"
                                                               required>
                                                    </div>
                                                    <div class="form-group col-sm-3">
                                                        <label for="bike_color">Product Quantity
                                                        </label>

                                                        <input type="number" name="quantity" id="quantity" class="form-control"
                                                               required>
                                                    </div>
                                                    <div class="form-group col-sm-3">
                                                        <label for="bike_color">Product Unit
                                                        </label>
                                                        <select name="unit" class="form-control" id="unit" required>
                                                            <option value="">Select Unit</option>
                                                            <option value="Gram">Gram</option>
                                                            <option value="Kilo">Kilo</option>
                                                            <option value="Liter">Liter</option>
                                                            <option value="Dozen">Dozen</option>
                                                            <option value="Piece">Piece</option>
                                                        </select>

                                                    </div>
                                                    <div class="form-group col-sm-4">
                                                        <label for="bike_color">Product Cost
                                                        </label>

                                                        <input type="number" name="cost" id="cost" class="form-control"
                                                               required>
                                                    </div>
                                                    <div class="form-group col-sm-4">
                                                        <label for="bike_color">Profit Percentage
                                                        </label>

                                                        <input type="number" name="profit_percentage" id="profit_percentage" class="form-control"
                                                               required>
                                                    </div>
                                                    <div class="form-group col-sm-4">
                                                        <label for="bike_color">Discount Percentage
                                                        </label>

                                                        <input type="number" name="discount_percentage" id="discount_percentage" class="form-control"
                                                               required>
                                                    </div>

                                                    <div class="form-group col-sm-6">
                                                        <label for="bike_color">Stock
                                                        </label>

                                                        <input type="number" name="stock" id="stock" class="form-control"
                                                               required>
                                                    </div>
                                                    <div class="form-group col-sm-6">
                                                        <label for="bike_color">Tags
                                                        </label>

                                                        <input type="text" name="tags" id="tags" class="form-control"
                                                               required>
                                                    </div>
                                                    <div class="form-group col-sm-12">
                                                        <label for="bike_color">Description
                                                        </label>

                                                        <textarea class="form-control" id="description" rows="3" required></textarea>
                                                    </div>

                                                </div>

                                                <div class="col-sm-12 text-center">
                                                    <button type="submit" class="btn btn-info waves-effect waves-light m-r-10">Submit</button>

                                                </div>


                                            </form>
                                        </div>
                                        <div id="profile1" class="tab-pane fade">
                                            <div class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src="" class="img-fluid mt-5" style="height: 200px;" id="main_image">

                                                </div>
                                                <div class="form-group col-sm-5">

                                                    <div class="card">
                                                        <div class="card-body">
                                                            <label for="image">Main Image</label>
                                                            <input type="file" accept="image/*" id="image" class="dropify"
                                                                   data-max-file-size="2M" name="image" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success d-flex" onclick="update_image('image','main_image','main_photo')">Update Image</button>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src=""  class="img-fluid mt-5" style="height: 200px;" id="first_image">

                                                </div>

                                                <div class="form-group col-sm-5">

                                                    <div class="card">
                                                        <div class="card-body">
                                                            <label for="id_card_front">Image1</label>
                                                            <input type="file" accept="image/*" id="image1" class="dropify"
                                                                   data-max-file-size="2M" name="image1" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success d-flex" onclick="update_image('image1','first_image','photo_1')">Update Image</button>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-sm-4">

                                                    <img src=""  class="img-fluid mt-5" style="height: 200px;" id="second_image">

                                                </div>
                                                <div class="form-group col-sm-5">

                                                    <div class="card">
                                                        <div class="card-body">
                                                            <label for="id_card_back">Image2</label>
                                                            <input type="file" accept="image/*" id="image2" class="dropify"
                                                                   data-max-file-size="2M" name="image2" required/>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-sm-3 d-flex align-items-center">
                                                    <button type="button" class="btn btn-success d-flex" onclick="update_image('image2','second_image','photo_2')">Update Image</button>
                                                </div>
                                            </div>


                                        </div>
                                    </div>
                                </div>
                            </div>
                        </section>

                    </div>
                </div>
            </div>
        </div>



    </div>
@endsection
@section('custom-script')
    <script type="text/javascript">

        function update_image(id,image_source,node_name) {
            var node=node_name;
            var image=document.getElementById(id).files[0];

            if (document.getElementById(id).files.length !== 0 ){
                var image_name=Math.floor(Math.random() * 100001)+image.name;
                var url=$('#'+image_source).attr('src');
                swal.fire({
                    imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                    title: 'Uploading Data!',
                    text: 'Please Wait...',
                    showConfirmButton: false,
                    allowOutsideClick : false
                });


                var desertRef = firebase.storage().refFromURL(url);

                desertRef.delete().then(function() {

                }).catch(function(error) {
                });


                upload_image(image,image_name).then(response =>{


                    let imageUrl=response.url;
                    firebase.database().ref('Products/{{$category}}/{{$subcategory}}/{{$id}}').update({
                        [node]:imageUrl
                    },function(error){
                        if(error){
                            swal.close();
                            swal.fire({
                                title: "Error!",
                                text: error.message,
                                icon: "error",
                                button: "Close!",
                            });
                        }else{

                            swal.close();
                            swal.fire({
                                title: "Success!",
                                text: "Image Updated!",
                                icon: "success",
                                button: "Close!",
                            }).then(function () {
                                getData();
                                $(".dropify-clear").trigger("click");

                            });

                        }
                    });



                }).catch(error=>{
                    swal.close();
                    swal.fire({
                        title: "Error!",
                        text: error.message,
                        icon: "error",
                        button: "Close!",
                    });
                });




            } else{

                swal.fire({
                    title: "Error!",
                    text: "Please Select Image First!",
                    icon: "error",
                    button: "Close!",
                });
            }
        }





        function getData(){
            swal.fire({
                imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                title: 'Loading Data!',
                text: 'Please Wait...',
                showConfirmButton: false,
                allowOutsideClick : false
            });
            var cat='{{$category}}';
            var sub='{{$subcategory}}';
            sub=sub.replace("^", "&");
            cat=cat.replace("^", "&");
            console.log(sub);
            firebase.database().ref('Products/'+cat+'/'+sub+'/{{$id}}').once('value').then(function(snapshot){
                console.log(snapshot.key);
                console.log(snapshot.val());

                $('#name').val(snapshot.val().product_name);

                var unit_quantity=snapshot.val().product_unit;
                var res = unit_quantity.split(" ");

                $('#quantity').val(res[0]);
                $('#unit').val(res[1]);
                $('#cost').val(snapshot.val().product_cost);
                $('#discount_percentage').val(snapshot.val().product_discount_percent);
                $('#profit_percentage').val(snapshot.val().product_profit_percent);

                $('#stock').val(snapshot.val().product_stock);
                $('#tags').val(snapshot.val().tags);
                $('#description').val(snapshot.val().product_description);



                $('#main_image').prop('src',snapshot.val().main_photo);
                $('#first_image').prop('src',snapshot.val().photo_1);
                $('#second_image').prop('src',snapshot.val().photo_2);

                swal.close();
            });
        }
        getData();


        function upload_image(image,image_name) {
            return new Promise((resolve, reject)=>{
                var storageRef=firebase.storage().ref('Products_Images/'+image_name);
                //upload image to selected storage reference
                //make sure you pass image here
                var uploadTask=storageRef.put(image);
                //to get the state of image uploading....
                uploadTask.on('state_changed',function(snapshot){
                    //get task progress by following code
                    var progress=(snapshot.bytesTransferred/snapshot.totalBytes)*100;
                    console.log("upload is "+progress+" done");
                },function(error){
                    //handle error here
                    reject({
                        status:false,
                        message:'Error Occurred while image uploading'
                    })
                },function(){
                    //handle successfull upload here..
                    uploadTask.snapshot.ref.getDownloadURL().then(function(downloadURL){
                        resolve({
                            status:true,
                            url:downloadURL
                        });

                    });
                });
            });

        }




        function upload(){
            return new Promise((resolve, reject)=>{



                var cat='{{$category}}';
                var sub='{{$subcategory}}';
                sub=sub.replace("^", "&");
                cat=cat.replace("^", "&");


                let name=$('#name').val();
                let quantity=$('#quantity').val();
                let unit=$('#unit').val();
                // let category=$('#category').val();
                //let sub_category=$('#sub_category').val();
                let cost=parseInt($('#cost').val());
                let discount_percentage=parseInt($('#discount_percentage').val());
                let profit_percentage=parseInt($('#profit_percentage').val());
                let stock=$('#stock').val();
                let tags=$('#tags').val();
                let description=$('#description').val();


                let selling_price=Math.round(parseFloat(cost+((profit_percentage/100)*cost)));
                let discount_price=Math.round(parseFloat(selling_price-((discount_percentage/100)*selling_price)));

                discount_price=discount_price.toString();
                firebase.database().ref('Products/'+cat+'/'+sub+'/{{$id}}').update({
                    product_name:name,
                    product_unit:quantity+" "+unit,
                    product_cost:cost,
                    product_profit_percent:profit_percentage,
                    product_discount_percent:discount_percentage,
                    product_discount_price:discount_price,
                    product_selling_price:selling_price,
                    product_stock:stock,
                    tags:tags,
                    product_description:description,

                },function(error){
                    if(error){
                        reject(error.message);
                    }else{

                        resolve({status:true});

                    }
                });



            });

        }
        function check() {
            event.preventDefault();
            var valid= document.getElementById("product_form").checkValidity();
            if(valid){
                swal.fire({
                    imageUrl:"https://i.pinimg.com/originals/78/e8/26/78e826ca1b9351214dfdd5e47f7e2024.gif",
                    title: 'Updating Data!',
                    text: 'Please Wait...',
                    showConfirmButton: false,
                    allowOutsideClick : false
                });
                upload().then(response =>{
                    if (response.status===true){
                        swal.close();
                        swal.fire({
                            title: "Success!",
                            text: "Product Updated!",
                            icon: "success",
                            button: "Close!",
                        });

                    }
                }).catch(error=>{
                    console.log(error);
                });
            }

        }


        $(document).ready(function () {



        });
    </script>
@endsection